summaryrefslogtreecommitdiff
path: root/testprogs/blackbox/test_kpasswd_heimdal.sh
diff options
context:
space:
mode:
authorTim Beale <timbeale@catalyst.net.nz>2018-05-03 12:12:04 +1200
committerGarming Sam <garming@samba.org>2018-05-11 06:01:24 +0200
commit7255e0ced33826d1e528c3e465105e7e194eb36e (patch)
tree59a801a60f0d5b1a885cadaf305a8bd93441e0a8 /testprogs/blackbox/test_kpasswd_heimdal.sh
parent0da9dbbf5a762f0953f1860b8b04810d33557094 (diff)
downloadsamba-7255e0ced33826d1e528c3e465105e7e194eb36e.tar.gz
netcmd: Split 'domain passwordsettings' into a super-command
The show and set options are not really related to each other at all, so it makes sense to split the code into 2 separate commands. We also want to add separate sub-commands for PSOs in a subsequent patch. Because of the way the sub-command was implemented previously, it meant that you could specify other command-line options before the 'set' or 'show' keyword, and the command would still be accepted. However, now that it's a super-command 'set'/'show' needs to be specified before any additional arguments, so we need to update the test code to reflect this. Reviewed-by: Andrew Bartlett <abartlet@samba.org> Reviewed-by: Garming Sam <garming@catalyst.net.nz> Signed-off-by: Tim Beale <timbeale@catalyst.net.nz>
Diffstat (limited to 'testprogs/blackbox/test_kpasswd_heimdal.sh')
-rwxr-xr-xtestprogs/blackbox/test_kpasswd_heimdal.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/testprogs/blackbox/test_kpasswd_heimdal.sh b/testprogs/blackbox/test_kpasswd_heimdal.sh
index 5cb6dab9fbe..2e0b3117c10 100755
--- a/testprogs/blackbox/test_kpasswd_heimdal.sh
+++ b/testprogs/blackbox/test_kpasswd_heimdal.sh
@@ -53,7 +53,7 @@ CONFIG="--configfile=$PREFIX/etc/smb.conf"
export CONFIG
testit "reset password policies beside of minimum password age of 0 days" \
- $VALGRIND $samba_tool domain passwordsettings $CONFIG set --complexity=default --history-length=default --min-pwd-length=default --min-pwd-age=0 --max-pwd-age=default || failed=`expr $failed + 1`
+ $VALGRIND $samba_tool domain passwordsettings set $CONFIG --complexity=default --history-length=default --min-pwd-length=default --min-pwd-age=0 --max-pwd-age=default || failed=`expr $failed + 1`
TEST_USERNAME="$(mktemp -u alice-XXXXXX)"
TEST_PRINCIPAL="$TEST_USERNAME@$REALM"
@@ -208,7 +208,7 @@ test_smbclient "Test login with smbclient (ntlm)" \
###########################################################
testit "reset password policies" \
- $VALGRIND $samba_tool domain passwordsettings $CONFIG set --complexity=default --history-length=default --min-pwd-length=default --min-pwd-age=default --max-pwd-age=default || failed=`expr $failed + 1`
+ $VALGRIND $samba_tool domain passwordsettings set $CONFIG --complexity=default --history-length=default --min-pwd-length=default --min-pwd-age=default --max-pwd-age=default || failed=`expr $failed + 1`
testit "delete user" \
$VALGRIND $samba_tool user delete $TEST_USERNAME -U"$USERNAME%$PASSWORD" $CONFIG -k no || failed=`expr $failed + 1`